Package cds.healpix

# Class ToCellItDecorator

java.lang.Object
cds.healpix.ToCellItDecorator

All Implemented Interfaces:
  `Iterator<Cell>`

public final class ToCellItDecorator extends Object implements Iterator<Cell>
Range iterator to cell iterator decorator. We could have made this decorator more generic by replacing both the Range and the Cell classes by an interface, adding a object building a Cell from a Range plus the cell depth and hash.

Author:
  F.-X Pineau

## Constructor Summary

Constructors
Constructor
Description
`ToCellItDecorator(int dim, int absoluteDephtMax, Iterator<Range> decorated)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Cell`
`next()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### ToCellItDecorator

public ToCellItDecorator(int dim, int absoluteDephtMax, Iterator<Range> decorated)

Parameters:
  `dim` - dimension of the z-order curve. For HEALPix, dim = 2, for Time, dim = 1
  `absoluteDephtMax` - for HEALPix, absoluteDephtMax = 29
  `decorated` -

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Cell>`

### next

public Cell next()

Specified by:
  `next` in interface `Iterator<Cell>`